import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/countMove',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/countMove/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/countMove',
    method: 'put',
    data
  })
}
//盘点审核
export function countCheck(data) {
  return request({
    url: 'api/countMove/countCheck',
    method: 'post',
    data
  })
}
//盘点完成
export function countFinish(data) {
  return request({
    url: 'api/countMove/countFinish',
    method: 'post',
    data
  })
}

export function getIdByCountMove(id) {
  return request({
    url: 'api/countMove/getIdByCountMove?id='+id,
    method: 'get'
  })
}


export default { add, edit, del ,countFinish,countCheck}
